Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# NotifyCategory Class Reference

A particular category of error messages. More...

Inheritance diagram for NotifyCategory:

List of all members.

## Public Member Functions
ostream | debug (bool prefix)
| A shorthand way to write out(NS_debug).
ostream | debug ()
| A shorthand way to write out(NS_debug).
ostream | error (bool prefix)
| A shorthand way to write out(NS_error).
ostream | error ()
| A shorthand way to write out(NS_error).
ostream | fatal (bool prefix)
| A shorthand way to write out(NS_fatal).
ostream | fatal ()
| A shorthand way to write out(NS_fatal).
string | getBasename ()
NotifyCategory | getChild (int i)
string | getFullname ()
int | getNumChildren ()
NotifySeverity | getSeverity ()
ostream | info (bool prefix)
| A shorthand way to write out(NS_info).
ostream | info ()
| A shorthand way to write out(NS_info).
bool | isDebug ()
| A shorthand way to write is_on(NS_debug).
bool | isError ()
| A shorthand way to write is_on(NS_error).
bool | isFatal ()
| A shorthand way to write is_on(NS_fatal).
bool | isInfo ()
| A shorthand way to write is_on(NS_info).
bool | isOn (NotifySeverity severity)
| Returns true if messages of the indicated severity level ought to be reported for this Category.
bool | isSpam ()
bool | isWarning ()
| A shorthand way to write is_on(NS_warning).
ostream | out (NotifySeverity severity, bool prefix)
ostream | out (NotifySeverity severity)
| setSeverity (NotifySeverity severity)
| Sets the severity level of messages that will be reported from this Category.
ostream | spam (bool prefix)
| A shorthand way to write out(NS_spam).
ostream | spam ()
| A shorthand way to write out(NS_spam).
ostream | warning (bool prefix)
| A shorthand way to write out(NS_warning).
ostream | warning ()
| A shorthand way to write out(NS_warning).
## Static Public Member Functions
static | setServerDelta (long int delta)

## Detailed Description

A particular category of error messages.

Typically there will be one of these per package, so that we can turn on or off error messages at least at a package level; further nested categories can be created within a package if a finer grain of control is required.

## Member Function Documentation

ostream debug | ( | bool | prefix | ) |

A shorthand way to write out(NS_debug).

ostream debug | ( |  | ) |

A shorthand way to write out(NS_debug).

ostream error | ( | bool | prefix | ) |

A shorthand way to write out(NS_error).

ostream error | ( |  | ) |

A shorthand way to write out(NS_error).

ostream fatal | ( | bool | prefix | ) |

A shorthand way to write out(NS_fatal).

ostream fatal | ( |  | ) |

A shorthand way to write out(NS_fatal).

string getBasename | ( |  | ) |

NotifyCategory getChild | ( | int | i | ) |

string getFullname | ( |  | ) |

int getNumChildren | ( |  | ) |

NotifySeverity getSeverity | ( |  | ) |

ostream info | ( | bool | prefix | ) |

A shorthand way to write out(NS_info).

ostream info | ( |  | ) |

A shorthand way to write out(NS_info).

bool isDebug | ( |  | ) |

A shorthand way to write is_on(NS_debug).

bool isError | ( |  | ) |

A shorthand way to write is_on(NS_error).

bool isFatal | ( |  | ) |

A shorthand way to write is_on(NS_fatal).

bool isInfo | ( |  | ) |

A shorthand way to write is_on(NS_info).

bool isOn | ( | NotifySeverity | severity | ) |

Returns true if messages of the indicated severity level ought to be reported for this Category.

bool isSpam | ( |  | ) |

bool isWarning | ( |  | ) |

A shorthand way to write is_on(NS_warning).

ostream out | ( | NotifySeverity | severity | ) |

ostream out | ( | NotifySeverity | severity,
|  | bool | prefix
| ) |  |

static setServerDelta | ( | long int | delta | ) | `[static]`

setSeverity | ( | NotifySeverity | severity | ) |

Sets the severity level of messages that will be reported from this Category.

This allows any message of this severity level or higher.

ostream spam | ( |  | ) |

A shorthand way to write out(NS_spam).

ostream spam | ( | bool | prefix | ) |

A shorthand way to write out(NS_spam).

ostream warning | ( | bool | prefix | ) |

A shorthand way to write out(NS_warning).

ostream warning | ( |  | ) |

A shorthand way to write out(NS_warning).

All Classes Namespaces Functions Variables Enumerations Enumerator Properties